<script setup>
    import FormulaireFacture from '@/components/formulaires/FormulaireFacture.vue';
    import axios from 'axios';
    import { reactive } from 'vue';
    import ROUTES_API from '@/assets/routesAPI.js'

    const envoyerFacture = async (facture) => {
        facture.prix = Math.round(parseFloat(facture.prix)*100);
        await axios.put(ROUTES_API.FACTURES + props.id, facture, {
            headers : {
                'Content-Type': 'application/json',
                'Accept': 'application/json'
            }
        });
        window.location.href = "/factures";
    }

    const props = defineProps( {
      id: {
        type: String,
        required: true,
      }
    })

    const facture = reactive({
        emetteur: "",
        date: "",
        montant: "",
        description: ""
    });

    axios.get(ROUTES_API.FACTURES + props.id, {
        headers : {
            'Content-Type': 'application/json',
            'Accept': 'application/json'
        }
    })
    .then(response => {
        if (response.data) {
            facture.emetteur = response.data.emetteur;
            facture.date = response.data.date;
            facture.prix = response.data.prix / 100;
            facture.description = response.data.description;
        }
    })
    .catch(e => {})
</script>


<template>
    <div>
        <FormulaireFacture :facture="facture" @envoie="envoyerFacture"/>
    </div>
</template>

<style scoped>

</style>